backend:
  name: gitlab
  branch: master
  repo: lq/official
  auth_type: implicit
  app_id: 237fd675579e3907ba8a0e340714f14dbbf7d362eb3256e0cabc21fb6a2114d0
  api_root: https://git.gaorongvc.cn/api/v4
  base_url: https://git.gaorongvc.cn
  authENdpoint: oauth/authorize
media_folder: static/img
collections:
  - name: "frontPage"
    label: "frontPage"
    files: 
    - label: "frontPage"
      name: "frontPage"
      file: "content/frontPage.md"
      fields:
        - { label: "MetaDescription", name: "metaDescription", widget: "text"}
        - { label: "MetaDescriptionEN", name: "metaDescriptionEN", widget: "text"}
        - { label: "Title 中文.svg文字改变也要改变文件名，不要用、等特殊字符，空白表示换行", name: "title", widget: "string"}
        - { label: "TitleEN", name: "titleEN", widget: "string"}
        - { label: "SubTitle", name: "subTitle", widget: "string"}
        - { label: "SubTitleEN", name: "subTitleEN", widget: "string"}
        - { label: "gaorongWith", name: "gaorongWith", widget: "string" }
        - { label: "gaorongWithEN", name: "gaorongWithEN", widget: "string" }
        - { label: "videoPoster", name: "videoPoster", widget: "image"}
        - { label: "video", name: "video", widget: "image"}
        - { label: "videoMobile", name: "videoMobile", widget: "image"}
        - label: 'portfolio'
          name: "portfolio"
          widget: list
          fields:
            - { label: "Title", name: "title", widget: "string" }
            - { label: "TitleEN", name: "titleEN", widget: "string" }
            - { label: "Since Date", name: "sinceDate", widget: "datetime" }
            - { label: "Description", name: "description", widget: "text" }
            - { label: "DescriptionEN", name: "descriptionEN", widget: "text" }
            - { label: "image", name: "image", widget: "image" }
            - { label: "image2", name: "image2", widget: "image" }
            - { label: "logo", name: "logo", widget: "image" }
            - { label: "logo2", name: "logo2", widget: "image" }
        - { label: "Summary Title", name: "summaryTitle", widget: "string"}
        - { label: "Summary TitleEN", name: "summaryTitleEN", widget: "string"}
        - { label: "Summary subTitle", name: "summarySubTitle", widget: "text"}
        - { label: "Summary subTitleEN", name: "summarySubTitleEN", widget: "text"}
        - { label: "Summary Knowmore", name: "summaryKnowmore", widget: "string"}
        - { label: "Summary KnowmoreEN", name: "summaryKnowmoreEN", widget: "string"}
        - { label: "portfolio text", name: "portfolioText", widget: "string"}
        - { label: "portfolio textEN", name: "portfolioTextEN", widget: "string"}
        - { label: "portfolio number", name: "portfolioNum", widget: "string"}
        - { label: "unicorn text", name: "unicornText", widget: "string"}
        - { label: "unicorn textEN", name: "unicornTextEN", widget: "string"}
        - { label: "unicorn number", name: "unicornNum", widget: "string"}
        - { label: "IPO text", name: "IPOText", widget: "string"}
        - { label: "IPO textEN", name: "IPOTextEN", widget: "string"}
        - { label: "IPO number", name: "IPONum", widget: "string"}
        - { label: "asset text", name: "assetText", widget: "string"}
        - { label: "asset textEN", name: "assetTextEN", widget: "string"}
        - { label: "asset number", name: "assetNum", widget: "string"}
        - { label: "asset numberEN", name: "assetNumEN", widget: "string"}
        - { label: "portfolio summary", name: "portfolioSummary", widget: "text"}
        - { label: "portfolio summaryEN", name: "portfolioSummaryEN", widget: "text"}
        - { label: "portfolio summary entry", name: "portfolioSummaryEntry", widget: "string"}
        - { label: "portfolio summaryEN", name: "portfolioSummaryEntryEN", widget: "string"}
        - { label: "team summary title", name: "teamSummaryTitle", widget: "string"}
        - { label: "team summary titleEN", name: "teamSummaryTitleEN", widget: "string"}
        - { label: "team summary text", name: "teamSummaryText", widget: "string"}
        - { label: "team summary textEN", name: "teamSummaryTextEN", widget: "text"}
        - { label: "team summary entry", name: "teamSummaryEntry", widget: "string"}
        - { label: "team summary entryEN", name: "teamSummaryEntryEN", widget: "string"}
        - { label: "team summary image", name: "teamImage", widget: "image"}
        - { label: "team summary imagex2", name: "teamImagex2", widget: "image"}
        - { label: "news 3d image", name: "news3dImage", widget: "image"}
        - { label: "news 3d imageEN", name: "news3dImageEN", widget: "image"}
        - { label: "news 3d image mobile", name: "news3dImageMobile", widget: "image"}
        - { label: "news 3d imageEN mobile", name: "news3dImageENMobile", widget: "image"}
        - { label: "news summary title", name: "newsSummaryTitle", widget: "string"}
        - { label: "news summary titleEN", name: "newsSummaryTitleEN", widget: "string"}
        - { label: "news summary entry", name: "newSummaryEntry", widget: "string"}
        - { label: "news summary entryEN", name: "newSummaryEntryEN", widget: "string"}
        - { label: "ronghui summary title", name: "ronghuiSummaryTitle", widget: "string"}
        - { label: "ronghui summary titleEN", name: "ronghuiSummaryTitleEN", widget: "string"}
        - { label: "ronghui summary text", name: "ronghuiSummaryText", widget: "text"}
        - { label: "ronghui summary textEN", name: "ronghuiSummaryTextEN", widget: "text"}
        - { label: "ronghui summary entry", name: "ronghuiSummaryEntry", widget: "string"}
        - { label: "ronghui summary entryEN", name: "ronghuiSummaryEntryEN", widget: "string"}
        - { label: "ronghui summary image", name: "ronghuiImage", widget: "image"}
        - { label: "ronghui summary imagex2", name: "ronghuiImagex2", widget: "image"}

  - name: "aboutPage"
    label: "aboutPage"
    files: 
      - label: "aboutPage"
        name: "aboutPage"
        file: "content/aboutPage.md"
        fields:
          - { label: "Title (no <br/> here)", name: "title", widget: "string"}
          - { label: "TitleEN", name: "titleEN", widget: "string"}
          - { label: "SubTitle", name: "subTitle", widget: "text"}
          - { label: "SubTitleEN", name: "subTitleEN", widget: "text"}
          - { label: "image1", name: "image1", widget: "image"}
          - { label: "image1@2", name: "image1x2", widget: "image"}
          - { label: "image2", name: "image2", widget: "image"}
          - { label: "image2@2", name: "image2X2", widget: "image"}
          - { label: "birth", name: "birth", widget: "string"}
          - { label: "birthEN", name: "birthEN", widget: "string"}
          - { label: "title2", name: "title2", widget: "string"}
          - { label: "title2EN", name: "title2EN", widget: "string"}
          - { label: "subTitle2", name: "subTitle2", widget: "text"}
          - { label: "subTitle2EN", name: "subTitle2EN", widget: "text"}
          - { label: "philosophy", name: "philosophy", widget: "string"}
          - { label: "philosophyEN", name: "philosophyEN", widget: "string"}
          - { label: "title3", name: "title3", widget: "string"}
          - { label: "title3EN", name: "title3EN", widget: "string"}
          - { label: "subTitle3", name: "subTitle3", widget: "text"}
          - { label: "subTitle3EN", name: "subTitle3EN", widget: "text"}
          - { label: "recognition", name: "recognition", widget: "string"}
          - { label: "recognitionEN", name: "recognitionEN", widget: "string"}
          - label: 'award'
            name: "awardList"
            widget: list
            fields:
              - { label: "source", name: "source", widget: "string"}
              - { label: "sourceEN", name: "sourceEN", widget: "string"}
              - { label: "award", name: "award", widget: "string"}
              - { label: "awardEN", name: "awardEN", widget: "string"}

  - name: "portfolioPage"
    label: "portfolioPage"
    files: 
      - label: "portfolioPage"
        name: "portfolioPage"
        file: "content/portfolioPage.md"
        fields:
          - { label: "Title", name: "title", widget: "string"}
          - { label: "TitleEN", name: "titleEN", widget: "string"}
          - { label: "SubTitle", name: "subTitle", widget: "text"}
          - { label: "SubTitleEN", name: "subTitleEN", widget: "text"}
          - label: 'ImageList'
            name: "imageList"
            widget: list
            fields:
            - { label: "Image1", name: "image1", widget: "image" }
            - { label: "Image@2", name: "image1_2", widget: "image" }
          - { label: "mask", name: "mask", widget: "image" }
          - { label: "allKind", name: "allKind", widget: "string"}
          - { label: "allKindEN", name: "allKindEN", widget: "string"}
          - { label: "newConsumption", name: "newConsumption", widget: "string"}
          - { label: "newConsumptionEN", name: "newConsumptionEN", widget: "string"}
          - { label: "newTech", name: "newTech", widget: "string"}
          - { label: "newTechEN", name: "newTechEN", widget: "string"}
          - { label: "health", name: "health", widget: "string"}
          - { label: "healthEN", name: "healthEN", widget: "string"}
          - { label: "officialSite", name: "officialSite", widget: "string"}
          - { label: "officialSiteEN", name: "officialSiteEN", widget: "string"}
          - { label: "gaorongTime", name: "gaorongTime", widget: "string"}
          - { label: "gaorongTimeEN", name: "gaorongTimeEN", widget: "string"}
          - { label: "day", name: "day", widget: "string"}
          - { label: "dayEN", name: "dayEN", widget: "string"}

  - name: "portfolioChiPage"
    label: 'portfolioChiPage'
    files:
      - label: "portfolioChi"
        name: "portfolioChi"
        file: "content/portfolioChi.md"
        fields:
          - name: "portfolio"
            widget: list
            fields:
              - { label: "Name", name: "name", widget: "string" }
              - { label: "Since Date", name: "sinceDate", widget: "datetime",required: false }
              - { label: "Description", name: "description", widget: "markdown" }
              - { label: "logo", name: "logo", widget: "image" }
              - { label: "logo@2", name: "logo2", widget: "image" }
              - { label: "website", name: "website", widget: "string", required: false }
              - { label: "type", name: "type", widget: "string" }

  - name: "portfolioENPage"
    label: 'portfolioENPage'
    files:
      - label: "portfolioEN"
        name: "portfolioEN"
        file: "content/portfolioEN.md"
        fields:
          - name: "portfolioEN"
            widget: list
            fields:
              - { label: "NameEN", name: "nameEN", widget: "string" }
              - { label: "Since Date", name: "sinceDate", widget: "datetime",required: false }
              - { label: "DescriptionEN", name: "descriptionEN", widget: "markdown" }
              - { label: "logo", name: "logo", widget: "image" }
              - { label: "logo@2", name: "logo2", widget: "image" }
              - { label: "website", name: "website", widget: "string", required: false }
              - { label: "type", name: "type", widget: "string" }

  - name: "teamPage"
    label: "teamPage"
    files: 
      - label: "teamPage"
        name: "teamPage"
        file: "content/teamPage.md"
        fields:
          - { label: "Title", name: "title", widget: "string"}
          - { label: "TitleEN", name: "titleEN", widget: "string"}
          - { label: "SubTitle", name: "subTitle", widget: "string"}
          - { label: "SubTitleEN", name: "subTitleEN", widget: "string"}
          - { label: "TopImage", name: "topImage", widget: "image"}
          - { label: "FoundingPartnerTitle", name: "foundingPartnerTitle", widget: "string"}
          - { label: "FoundingPartnerTitleEN", name: "foundingPartnerTitleEN", widget: "string"}
          - { label: "PartnerTitle", name: "PartnerTitle", widget: "string"}
          - { label: "PartnerTitleEN", name: "PartnerTitleEN", widget: "string"}
          - label: 'foundingPartner'
            name: 'foundingPartnerList'
            widget: list
            fields:
              - { label: "name", name: "name", widget: "string"}
              - { label: "nameEN", name: "nameEN", widget: "string"}
              - { label: "portrait", name: "portrait", widget: "image"}
              - { label: "portrait@2", name: "portrait_2", widget: "image"}
              - { label: "role", name: "role", widget: "string"}
              - { label: "roleEN", name: "roleEN", widget: "string"}
              - { label: "saying", name: "saying", widget: "string"}
              - { label: "sayingEN", name: "sayingEN", widget: "string"}
              - { label: "summary", name: "summary", widget: "text"}
              - { label: "summaryEN", name: "summaryEN", widget: "text"}
              - { label: "hiddenSummary1", name: "hiddenSummary1", widget: "text"}
              - { label: "hiddenSummary1EN", name: "hiddenSummary1EN", widget: "text"}
              - { label: "hiddenSummary2", name: "hiddenSummary2", widget: "text"}
              - { label: "hiddenSummary2EN", name: "hiddenSummary2EN", widget: "text"}
              - { label: "hiddenSummary3", name: "hiddenSummary3", widget: "text"}
              - { label: "hiddenSummary3EN", name: "hiddenSummary3EN", widget: "text"}
          - label: 'partner'
            name: 'partnerList'
            widget: list
            fields:
              - { label: "name", name: "name", widget: "string"}
              - { label: "nameEN", name: "nameEN", widget: "string"}
              - { label: "portrait", name: "portrait", widget: "image"}
              - { label: "portrait@2", name: "portrait_2", widget: "image"}
              - { label: "role", name: "role", widget: "string"}
              - { label: "roleEN", name: "roleEN", widget: "string"}
              - { label: "saying", name: "saying", widget: "string"}
              - { label: "sayingEN", name: "sayingEN", widget: "string"}
              - { label: "summary", name: "summary", widget: "text"}
              - { label: "summaryEN", name: "summaryEN", widget: "text"}
              - { label: "hiddenSummary1", name: "hiddenSummary1", widget: "text"}
              - { label: "hiddenSummary1EN", name: "hiddenSummary1EN", widget: "text"}
              - { label: "hiddenSummary2", name: "hiddenSummary2", widget: "text"}
              - { label: "hiddenSummary2EN", name: "hiddenSummary2EN", widget: "text"}
              - { label: "hiddenSummary3", name: "hiddenSummary3", widget: "text"}
              - { label: "hiddenSummary3EN", name: "hiddenSummary3EN", widget: "text"}
          - { label: "knowMore", name: "knowMore", widget: "string"}
          - { label: "knowMoreEN", name: "knowMoreEN", widget: "string"}
          - { label: "groupTitle", name: "groupTitle", widget: "string"}
          - { label: "groupTitleEN", name: "groupTitleEN", widget: "string"}
          - { label: "groupSubTitle", name: "groupSubTitle", widget: "string"}
          - { label: "groupSubTitleEN", name: "groupSubTitleEN", widget: "string"}
          - { label: "groupText", name: "groupText", widget: "string"}
          - { label: "groupTextEN", name: "groupTextEN", widget: "string"}
          - { label: "groupVideo", name: "groupVideo", widget: "image"}
          - { label: "valueVideo", name: "valueVideo", widget: "image"}
          - { label: "valueLabel", name: "valueLabel", widget: "string"}
          - { label: "valueLabelEN", name: "valueLabelEN", widget: "string"}
          - { label: "valueTitle", name: "valueTitle", widget: "string"}
          - { label: "valueTitleEN", name: "valueTitleEN", widget: "string"}
          - label: 'value'
            name: "valueList"
            widget: list
            fields:
              - { label: "value", name: "value", widget: "string"}
              - { label: "valueEN", name: "valueEN", widget: "string"}

  - name: "ronghuiPage"
    label: "ronghuiPage"
    files: 
      - label: "ronghuiPage"
        name: "ronghuiPage"
        file: "content/ronghuiPage.md"
        fields:
          - { label: "Title", name: "title", widget: "string"}
          - { label: "TitleEN", name: "titleEN", widget: "string" }
          - { label: "SubTitle", name: "subTitle", widget: "text"}
          - { label: "SubTitleEN", name: "subTitleEN", widget: "text"}
          - { label: "AllArticles", name: "allArticles", widget: "string"}
          - { label: "AllArticlesEN", name: "allArticlesEN", widget: "string"}
          - label: 'ImageList'
            name: "imageList"
            widget: list
            fields:
            - { label: "Image1", name: "image1", widget: "image" }
            - { label: "Image@2", name: "image1_2", widget: "image" }
          - { label: "mask", name: "mask", widget: "image" }
          - { label: "readMore", name: "readMore", widget: "string"}
          - { label: "readMoreEN", name: "readMoreEN", widget: "string"}
          - label: 'article'
            name: "article"
            widget: list
            fields:
              - { label: "Title", name: "title", widget: "string" }
              - { label: "TitleEN", name: "titleEN", widget: "string", required: false }
              - { label: "type", name: "type", widget: "string", required: false}
              - { label: "typeEN", name: "typeEN", widget: "string", required: false}
              - { label: "createDate", name: "createDate", widget: "datetime" }
              - { label: "Abstract", name: "abstract", widget: "text" }
              - { label: "AbstractEN", name: "abstractEN", widget: "text" , required: false}
              - { label: "content", name: "content", widget: "markdown", required: false}
              - { label: "contentEN", name: "contentEN", widget: "markdown", required: false}
              - { label: "Picture 上传以abstract开头的图片自动高比例压缩", name: "pic", widget: "image" }

  - name: "newsPage"
    label: "newsPage"
    files: 
      - label: "newsPage"
        name: "newsPage"
        file: "content/newsPage.md"
        fields:
          - { label: "Title", name: "title", widget: "string"}
          - { label: "TitleEN", name: "titleEN", widget: "string"}
          - { label: "SearchPlaceholder", name: "searchPlaceholder", widget: "string"}
          - { label: "SearchPlaceholderEN", name: "searchPlaceholderEN", widget: "string"}
          - { label: "AllNews", name: "allNews", widget: "string"}
          - { label: "AllNewsEN", name: "allNewsEN", widget: "string"}
      
  - name: "Common"
    label: "Common"
    files:
    - label: "common"
      name: "common"
      file: "content/common.md"
      fields: 
        - { label: "error title", name: "errorTitle", widget: "text" }
        - { label: "error titleEN", name: "errorTitleEN", widget: "text" }
        - { label: "error string", name: "errorStr", widget: "text" }
        - { label: "error stringEN", name: "errorStrEN", widget: "text" }
        - { label: "error img", name: "errorImg", widget: "image" }
        - { label: "back to home", name: "backToHome", widget: "text" }
        - { label: "back to homeEN", name: "backToHomeEN", widget: "text" }
        - { label: "treeMask", name: "treeMask", widget: "image" }
    - label: "Head"
      name: "head"
      file: "content/head.md"
      fields: 
        - { label: "Home", name: "home", widget: "string" }
        - { label: "HomeEN", name: "homeEN", widget: "string" }
        - { label: "About", name: "about", widget: "string" }
        - { label: "Portfolio", name: "portfolio", widget: "string" }
        - { label: "Team", name: "team", widget: "string" }
        - { label: "Ronghui", name: "ronghui", widget: "string" }
        - { label: "News", name: "news", widget: "string" }
        - { label: "Warn", name: "warn", widget: "string" }
        - { label: "AboutEN", name: "aboutEN", widget: "string" }
        - { label: "PortfolioEN", name: "portfolioEN", widget: "string" }
        - { label: "TeamEN", name: "teamEN", widget: "string" }
        - { label: "RonghuiEN", name: "ronghuiEN", widget: "string" }
        - { label: "NewsEN", name: "newsEN", widget: "string" }
        - { label: "WarnEN", name: "warnEN", widget: "string" }
    - label: "Foot"
      name: "foot"
      file: "content/foot.md"
      fields:
        - { label: "email", name: "email", widget: "string"}
        - { label: "emailEN", name: "emailEN", widget: "string"}
        - { label: "emailStr", name: "emailStr", widget: "string"}
        - { label: "phone", name: "phone", widget: "string"}
        - { label: "phoneEN", name: "phoneEN", widget: "string"}
        - { label: "phoneStr", name: "phoneStr", widget: "string"}
        - { label: "fax", name: "fax", widget: "string"}
        - { label: "faxEN", name: "faxEN", widget: "string"}
        - { label: "faxStr", name: "faxStr", widget: "string"}
        - { label: "wechat", name: "wechat", widget: "string"}
        - { label: "wechatEN", name: "wechatEN", widget: "string"}
        - { label: "beijing", name: "beijing", widget: "string"}
        - { label: "beijingEN", name: "beijingEN", widget: "string"}
        - { label: "shanghai", name: "shanghai", widget: "string"}
        - { label: "shanghaiEN", name: "shanghaiEN", widget: "string"}
        - { label: "shenzhen", name: "shenzhen", widget: "string"}
        - { label: "shenzhenEN", name: "shenzhenEN", widget: "string"}
        - { label: "xianggang", name: "xianggang", widget: "string"}
        - { label: "xianggangEN", name: "xianggangEN", widget: "string"}
        - { label: "beijingloc", name: "beijingloc", widget: "string"}
        - { label: "beijinglocEN", name: "beijinglocEN", widget: "string"}
        - { label: "shanghailoc", name: "shanghailoc", widget: "string"}
        - { label: "shanghailocEN", name: "shanghailocEN", widget: "string"}
        - { label: "shenzhenloc", name: "shenzhenloc", widget: "string"}
        - { label: "shenzhenlocEN", name: "shenzhenlocEN", widget: "string"}
        - { label: "xianggangloc", name: "xianggangloc", widget: "string"}
        - { label: "xiangganglocEN", name: "xiangganglocEN", widget: "string"}
        - { label: "treeLogo", name: "treeLogo", widget: "image"}
        - { label: "footerMask", name: "footerMask", widget: "image"}
        - { label: "wechatimg", name: "wechatimg", widget: "image"}

  - name: "News"
    label: "News"
    sortable_fields: ['type', 'title','createDate', 'highLight','source']
    create: true
    view_filters:
      - label: "新科技"
        field: type
        pattern: '新科技'
      - label: '新消费'
        field: type
        pattern: '新消费'
      - label: '医疗健康'
        field: type
        pattern: '医疗健康'
      - label: '榕报'
        field: type
        pattern: '榕报'
      - label: '榕汇'
        field: type
        pattern: '榕汇'
      - label: '分享'
        field: type
        pattern: '分享'
      - label: '高榕分享'
        field: type
        pattern: '高榕分享'
      - label: '荣誉'
        field: type
        pattern: '荣誉'
      - label: '高榕特写'
        field: type
        pattern: '高榕特写'
      - label: '高榕新闻'
        field: type
        pattern: '高榕新闻'
      - label: '高榕转载'
        field: type
        pattern: '高榕转载'
      - label: '声明'
        field: type
        pattern: '声明'
      - label: '榕问'
        field: type
        pattern: '榕问'
      - label: '高榕动态'
        field: type
        pattern: '高榕动态'
    view_groups:
      - label: "新技术"
        field: type
        pattern: '新技术'
      - label: '新消费'
        field: type
        pattern: '新消费'
      - label: '医疗健康'
        field: type
        pattern: '医疗健康'
      - label: '榕报'
        field: type
        pattern: '榕报'
      - label: '榕汇'
        field: type
        pattern: '榕汇'
      - label: '分享'
        field: type
        pattern: '分享'
      - label: '高榕分享'
        field: type
        pattern: '高榕分享'
      - label: '荣誉'
        field: type
        pattern: '荣誉'
      - label: '高榕特写'
        field: type
        pattern: '高榕特写'
      - label: '高榕新闻'
        field: type
        pattern: '高榕新闻'
      - label: '高榕转载'
        field: type
        pattern: '高榕转载'
      - label: '声明'
        field: type
        pattern: '声明'
      - label: '榕问'
        field: type
        pattern: '榕问'
      - label: '高榕动态'
        field: type
        pattern: '高榕动态'
    identifier_field: name
    folder: "content/news"
    summary: "{{title}} {{createDate}}"
    fields:
          - { label: "Title", name: "title", widget: "string" }
          - { label: "TitleEN", name: "titleEN", widget: "string", required: false }
          - { label: "Source", name: "source", widget: "string", required: false }
          - { label: "SourceEN", name: "sourceEN", widget: "string", required: false }
          - { label: "hide", name: "hide", widget: "boolean", required: false, default: false }
          - { label: "type", name: "type", widget: "string", required: false}
          - { label: "typeEN", name: "typeEN", widget: "string", required: false}
          - { label: "createDate", name: "createDate", widget: "datetime" }
          - { label: "Abstract", name: "abstract", widget: "text" }
          - { label: "AbstractEN", name: "abstractEN", widget: "text", required: false }
          - { label: "content", name: "content", widget: "markdown"}
          - { label: "contentEN", name: "contentEN", widget: "markdown", required: false}
          - { label: "Picture", name: "pic", widget: "image" }
          - { label: "HighLight", name: "highLight", widget: "boolean", required: false}
  